import React from 'react';
import { ReactTestRendererJSON, ReactTestInstance } from 'react-test-renderer';
import debugShallow from './helpers/debugShallow';
export declare type DebugFunction = (instance: ReactTestInstance | React.ReactElement<any>, message?: string) => void;
export declare type DebugAPI = DebugFunction & {
    shallow: DebugFunction;
    deep: (instance: React.ReactElement<any> | ReactTestRendererJSON | null, message?: string) => void;
};
/**
 * Log pretty-printed deep test component instance
 */
declare function debugDeepElementOrInstance(instance: React.ReactElement<any> | (ReactTestRendererJSON | undefined) | null, message?: any): void;
declare function debug(instance: ReactTestInstance | React.ReactElement<any>, message?: any): void;
declare namespace debug {
    var shallow: typeof debugShallow;
    var deep: typeof debugDeepElementOrInstance;
}
export default debug;
