"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const render_1 = __importDefault(require("./render"));
const debugShallow_1 = __importDefault(require("./helpers/debugShallow"));
const debugDeep_1 = __importDefault(require("./helpers/debugDeep"));
const format_1 = __importDefault(require("./helpers/format"));
/**
 * Log pretty-printed deep test component instance
 */
function debugDeepElementOrInstance(instance, message = '') {
    try {
        // We're assuming React.Element<any> here and fallback to
        // rendering ReactTestRendererJSON
        const { toJSON } = render_1.default(instance);
        if (message) {
            console.log(`${message}\n\n`, format_1.default(toJSON()));
        }
        else {
            console.log(format_1.default(toJSON()));
        }
    }
    catch (e) {
        debugDeep_1.default(instance);
    }
}
function debug(instance, message) {
    return debugShallow_1.default(instance, message);
}
debug.shallow = debugShallow_1.default;
debug.deep = debugDeepElementOrInstance;
exports.default = debug;
//# sourceMappingURL=debug.js.map