"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ErrorWithStack extends Error {
    constructor(message, callsite) {
        super(message);
        if (Error.captureStackTrace) {
            Error.captureStackTrace(this, callsite);
        }
    }
}
exports.ErrorWithStack = ErrorWithStack;
exports.createLibraryNotSupportedError = (error) => new Error(`Currently the only supported library to search by text is "react-nodegui".\n\n${error.message}`);
exports.prepareErrorMessage = (error) => 
// Strip info about custom predicate
error.message.replace(/ matching custom predicate[^]*/gm, '');
exports.createQueryByError = (error, callsite) => {
    if (error.message.includes('No instances found')) {
        return null;
    }
    throw new ErrorWithStack(error.message, callsite);
};
//# sourceMappingURL=errors.js.map