import React from 'react';
import { ReactTestInstance } from 'react-test-renderer';
export declare const getByType: (instance: ReactTestInstance) => (type: React.ComponentType<any>) => ReactTestInstance;
export declare const getByText: (instance: ReactTestInstance) => (text: string | RegExp) => ReactTestInstance;
export declare const getByPlaceholder: (instance: ReactTestInstance) => (placeholder: string | RegExp) => ReactTestInstance;
export declare const getByDisplayValue: (instance: ReactTestInstance) => (placeholder: string | RegExp) => ReactTestInstance;
export declare const getByProps: (instance: ReactTestInstance) => (props: {
    [propName: string]: any;
}) => ReactTestInstance;
export declare const getByTestId: (instance: ReactTestInstance) => (testID: string) => ReactTestInstance;
export declare const getAllByType: (instance: ReactTestInstance) => (type: React.ComponentType<any>) => ReactTestInstance[];
export declare const getAllByText: (instance: ReactTestInstance) => (text: string | RegExp) => ReactTestInstance[];
export declare const getAllByPlaceholder: (instance: ReactTestInstance) => (placeholder: string | RegExp) => ReactTestInstance[];
export declare const getAllByDisplayValue: (instance: ReactTestInstance) => (value: string | RegExp) => ReactTestInstance[];
export declare const getAllByProps: (instance: ReactTestInstance) => (props: {
    [propName: string]: any;
}) => ReactTestInstance[];
export declare const getAllByTestId: (instance: ReactTestInstance) => (testID: string) => ReactTestInstance[];
export interface GetByAPI {
    getByType: <P>(type: React.ComponentType<P>) => ReactTestInstance;
    getByText: (text: string | RegExp) => ReactTestInstance;
    getByPlaceholder: (placeholder: string | RegExp) => ReactTestInstance;
    getByDisplayValue: (value: string | RegExp) => ReactTestInstance;
    getByProps: (props: Record<string, any>) => ReactTestInstance;
    getByTestId: (testID: string) => ReactTestInstance;
    getAllByTestId: (testID: string) => Array<ReactTestInstance>;
    getAllByType: <P>(type: React.ComponentType<P>) => Array<ReactTestInstance>;
    getAllByText: (text: string | RegExp) => Array<ReactTestInstance>;
    getAllByPlaceholder: (placeholder: string | RegExp) => Array<ReactTestInstance>;
    getAllByDisplayValue: (value: string | RegExp) => Array<ReactTestInstance>;
    getAllByProps: (props: Record<string, any>) => Array<ReactTestInstance>;
}
export declare const getByAPI: (instance: ReactTestInstance) => GetByAPI;
