import React from 'react';
import { ReactTestInstance } from 'react-test-renderer';
export declare const queryByType: (instance: ReactTestInstance) => (type: React.ComponentType<any>) => ReactTestInstance | null;
export declare const queryByText: (instance: ReactTestInstance) => (text: string | RegExp) => ReactTestInstance | null;
export declare const queryByPlaceholder: (instance: ReactTestInstance) => (placeholder: string | RegExp) => ReactTestInstance | null;
export declare const queryByDisplayValue: (instance: ReactTestInstance) => (value: string | RegExp) => ReactTestInstance | null;
export declare const queryByProps: (instance: ReactTestInstance) => (props: {
    [propName: string]: any;
}) => ReactTestInstance | null;
export declare const queryByTestId: (instance: ReactTestInstance) => (testID: string) => ReactTestInstance | null;
export declare const queryAllByType: (instance: ReactTestInstance) => (type: React.ComponentType<any>) => ReactTestInstance[];
export declare const queryAllByText: (instance: ReactTestInstance) => (text: string | RegExp) => ReactTestInstance[];
export declare const queryAllByPlaceholder: (instance: ReactTestInstance) => (placeholder: string | RegExp) => ReactTestInstance[];
export declare const queryAllByDisplayValue: (instance: ReactTestInstance) => (value: string | RegExp) => ReactTestInstance[];
export declare const queryAllByProps: (instance: ReactTestInstance) => (props: {
    [propName: string]: any;
}) => ReactTestInstance[];
export declare const queryAllByTestId: (instance: ReactTestInstance) => (testID: string) => ReactTestInstance[];
export interface QueryByAPI {
    queryByType: <P>(type: React.ComponentType<P>) => ReactTestInstance | null;
    queryByText: (name: string | RegExp) => ReactTestInstance | null;
    queryByPlaceholder: (placeholder: string | RegExp) => ReactTestInstance | null;
    queryByDisplayValue: (value: string | RegExp) => ReactTestInstance | null;
    queryByProps: (props: Record<string, any>) => ReactTestInstance | null;
    queryByTestId: (testID: string) => ReactTestInstance | null;
    queryAllByTestId: (testID: string) => Array<ReactTestInstance> | null;
    queryAllByType: <P>(type: React.ComponentType<P>) => Array<ReactTestInstance> | [];
    queryAllByText: (text: string | RegExp) => Array<ReactTestInstance> | [];
    queryAllByPlaceholder: (placeholder: string | RegExp) => Array<ReactTestInstance> | [];
    queryAllByDisplayValue: (value: string | RegExp) => Array<ReactTestInstance> | [];
    queryAllByProps: (props: Record<string, any>) => Array<ReactTestInstance> | [];
}
export declare const queryByAPI: (instance: ReactTestInstance) => QueryByAPI;
