import React from 'react';
import { ReactTestRendererJSON } from 'react-test-renderer';
import { GetByAPI } from './helpers/getByAPI';
import { QueryByAPI } from './helpers/queryByAPI';
declare type DebugFn = (message?: string) => void;
declare type DebugShallow = DebugFn;
declare type Debug = DebugFn & {
    shallow: DebugShallow;
};
export interface RenderAPI extends GetByAPI, QueryByAPI {
    update(nextElement: React.ReactElement<any>): void;
    rerender(nextElement: React.ReactElement<any>): void;
    unmount(nextElement?: React.ReactElement<any>): void;
    toJSON(): ReactTestRendererJSON | null;
    debug: Debug;
}
export interface RenderOptions {
    wrapper?: React.ComponentType<any>;
    createNodeMock?: (element: React.ReactElement<any>) => any;
}
export interface TestRendererOptions {
    createNodeMock: (element: React.ReactElement<any>) => any;
}
export default function render<T>(component: React.ReactElement<T>, { wrapper: Wrapper, createNodeMock }?: RenderOptions): RenderAPI;
export {};
