"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function waitForElement(expectation, timeout = 4500, interval = 50) {
    const startTime = Date.now();
    return new Promise((resolve, reject) => {
        const rejectOrRerun = (error) => {
            if (Date.now() - startTime >= timeout) {
                reject(error);
                return;
            }
            setTimeout(runExpectation, interval);
        };
        function runExpectation() {
            try {
                const result = expectation();
                resolve(result);
            }
            catch (error) {
                rejectOrRerun(error);
            }
        }
        setTimeout(runExpectation, 0);
    });
}
exports.default = waitForElement;
//# sourceMappingURL=waitForElement.js.map